# Nikolai Rodionov

```
> Location: Düsseldorf, Germany
> Email: allanger@zohomail.com
> Telegram: t.me/allanger (preferred)
> Phone: 015223284008
> Github: https://github.com/allanger
```
---

## About me
<p align="center">
<img src="myself.jpeg" alt="drawing" width="30%"/>
</p>

I'm engineer with 5++ years of hands-on experience in different IT areas. I've tried myself in several directions, and after all I've understood that being a DevOps engineer is what I like the most. 

A short list of things that I love doing

- I absolutely love working with __Kubernetes__. I think it's one of the coolest thing developed in out era. Even if I need to self-host anything I'm always using k8s for that.
- I like getting rid of manual job, that's why I'm always trying to write scripts and tools for automating everything that can be automated. Mostly, just using __bash__ or wrapping actions in __CI pipelines__, but if it's something more complicated, I would use __Go__ or __Rust__ already. 
- I always try to use containers when it's possible. The less I need to run 'natively' on my working machine, the better. 
- Administrating __linux__ machines is usually fun for me.
- Setting up __CI/CD__ and explain developers what's going on there.
- Resolving incidents and finding the roots of any problem
- "Everything as code"


## Experience
### Klöckner-i: Devops engineer
> 01.2022 - until present
- Configuring CI/CD (**Gitlab CI**)
- Setting up monitoring systems (**Prometheus**, **Grafana**)
- Writing scripts for automating anything possible (**Bash**, **Python** (Totally not a Python lover though))
- Working with **K8s** and **Docker**
- Working on company's open source project: [db-operator](https://github.com/kloeckner-i/db-operator)
- Setting up percona xtradb cluster with a **k8s-operator**
- Configuring infrastructure with **Ansible**

### Itigris: Devops Engineer/ QA automation
> 07.2019 - 12.2021 (I've started as a QA-automation engineer and then move to the system engineering)
1. As a QA Automation
	- Creating a codebase for E2e tests from scratch (**Java**, **NodeJS**)
	- Creating and supporting **Gitlab CI** pipelines for E2e and integration tests. 
	- Setting up the environment for tests (Dynamically spawned **Selenoid** server)
	- Bash-scripting
	- Setting up local environment with **Docker** and **Docker Compose**
2. As a DevOps Engineer
	-	Writing scripts and tools (Bash, Go)
	-	Supporting and setting up **K8S** clusters (**AWS EKS**)
	-	Supporting and maintaining services running inside docker containers
	-	Supporting and maintaining **ec2** instances
	-	Troubleshooting incidents (**k8s**, **nginx**, **aws**)
	-	Disaster recovery (**k8s**, **docker**, **postgres**)
	-	Maintaining the process of "microservicing" the old monolith
	-	Deploying services written in Java, JS and Python
	-	A bit of SQL administrating (**Postgres**)
	-	Setting up infrastructure with **Terraform**

### Etersoft: engineer
> 03.2017 - 06.2019
- Lots of Linux, containers and virtualization
- Networking (IPtables and UFW)
- A bit of **Kubernetes** (setting up and supporting a small bare-metal cluster)
- Setting up virtual machines with **Vagrant** and **Ansible**
- Setting up **Nginx** and **Envoy** proxies
- **Bash** and **Perl** scripting
- A bit of frontend development  (**React JS**)
- A bit of SQL (**MySQL**)

## Skills

- Kubernetes
	- Kubeadm
	- EKS
	- Docker, Containerd, Cri-O
	- Ingress Nginx, Istio
	- Kubectl, Helm, Kustomize
	- Rook-Ceph storage
	- Keel, Kube-Monkey, ArgoCD
	- Zalando Postgres operator
- AWS
	- EC2
	- RDS
	- S3
	- Route53
	- EKS
	- Elasticache (Redis)
- Coding
	- QA automation (JS, Java)
	- Backend development (Go, Rust, gRPC and Rest API)
	- Scripting (Perl, Bash, Python)
	- Writing tools with Go and Rust
	- Frontend development with ReactJS, Flutter and a bit of Elm
- Others 
	- Linux, MacOS
	- Docker
	- Ansiblem Terraform, Vagrant
	- VitualBox, Proxmox
	- Nginx, Envoy
	- Prometheus, Grafana
	- ELK, EFK etc

