# Giant Swarm answers

1. Please tell us about your Kubernetes experience?

I'm working with Kubernetes for several years. I've been running fresh micro-services apps, migrating legacy giants, running 3rd party applications. Basically, I guess about 90% of things I'm running, are being run on k8s. 
It's a bit hard to share work-related things, but here I have a repo where my personal Kubernetes is described: https://git.badhouseplants.net/badhouseplants/k8s-cluster-config
Also, I'm one of devs of db-operator, that can be found here: https://github.com/db-operator/db-operator, so I know a bit about operator development.
I was working with k8s on AWS, GKE and Azure, and I was running on-prem clusters: kubeadm installation and simple microk8s and k3s. 

I've been running a lot of different kinds of workloads there. Simple web apps, observability stack, databases (Postgres, Percona Mysql), openvpn server, storages (Minio, Ceph), CI/CD tools like ArgoCD, Drone-CI, and runners for Gitlab CI.

2. All our tools are written in Go. What is your experience with the language or why do you think you will easily learn it?

Since GO is the main language for operators development, I'm using it a lot for the db-operator. You can have a look at my commits in that projects to have an overview about my go experience. 

I can't say that I'm a go-pro, but I can solve a lot of tasks using it. 

3. What are your thoughts on Cloud Native?

I'm not sure how to answer, because I guess I don't know what it is. After reading a bit about it, I just guess that somebody found out that there is a lack of DevOps buzzwords, and decided to come up with one more. (But I'm pretty certain that I'm wrong, so I'd like to hear about it from ones who understand it better)

3. What is your experience with Oncall?

This is a tough question again, because I'm not sure what exactly you want me to describe. I was doing oncall 24/7 in Itigris, fixing Database issues mostly. I was making a lot of k8s hot-fixes. Troubleshooting networking issues, mostly nginx-ingress. Now I'm doing Oncall again, but it's not a 24/7 one, but just during working hours. 

I think that it's a good part of job, because it's either shows you that you're doing good, or points to some mistakes and keeps you in shape 

4. What are your salary expectations per year before tax? (BTW We have transparent salaries within our team.)

I'm aiming for ~80k per year

6. What perks would you most like to see at your future employer?

I'd say that having an ability to work on a device that is not being monitored 24/7 by my employer, and I can configure that way I need it is enough already. But maybe something will come to my mind later.

7. What was the coolest project you ever did, and why?

I guess, that coolest one was the migration of 9 Percona clusters to k8s (percona-operator). It was the coolest because of several reasons
  - I wasn't working with mysql before, and it was cool to get into that
  - Running Databases in k8s is controversal, and my opinion is that everything should run in k8s
  - It was a lot of work together with other teams, as well as a whole lot of work within the platform team, because everybody has some knowledges about MySQL to share.
  - Running, testing, ensuring disaster recovery cases, debugging, optimizing, a whole lot of things to do withing one project
  - Doing the migration of databases that backups are several GBs ins size when compressed was also an interesting part. 
  - And after all it was a success story, that makes everything really cool (There were some problems after the migration, I can describe then as well)

And I'd like to mention the db-operator once again. Because it's an  open source project that is actually used by others, and its fun to work on something like that.

8. If you were president of Giant Swarm, which three rules would you implement in the company?

- Any hardware or software you need for you job is the one that is given and allowed by company
- If we develop something ourselves, it should be an open source solutions
- 4-day working week :)

9. Where did you hear about Giant Swarm for the first time?

It was Linkedin about one year ago. And then later on of my acquaintances mentions the company in a very good way :)

10. What questions should we ask you?

Let it be:

- Why pull-gitops is an awful idea in certain cases? And what those certain cases are?
- Why developing yet another database operator?
- Why are you looking for a job even though joining the previous one not so long ago?
